org.eclipse.jetty.server

## Class Dispatcher

- java.lang.Object
- - org.eclipse.jetty.server.Dispatcher

All Implemented Interfaces:
  javax.servlet.RequestDispatcher

    public class Dispatcher
    extends Object
    implements javax.servlet.RequestDispatcher

Servlet RequestDispatcher.

### Field Summary

Fields
`static String` `__FORWARD_PREFIX` Dispatch include attribute names
`static String` `__INCLUDE_PREFIX` Dispatch include attribute names
`static String` `__JSP_FILE` JSP attributes

### Fields inherited from interface javax.servlet.RequestDispatcher

`ERROR_EXCEPTION, ERROR_EXCEPTION_TYPE, ERROR_MESSAGE, ERROR_REQUEST_URI, ERROR_SERVLET_NAME, ERROR_STATUS_CODE, FORWARD_CONTEXT_PATH, FORWARD_PATH_INFO, FORWARD_QUERY_STRING, FORWARD_REQUEST_URI, FORWARD_SERVLET_PATH, INCLUDE_CONTEXT_PATH, INCLUDE_PATH_INFO, INCLUDE_QUERY_STRING, INCLUDE_REQUEST_URI, INCLUDE_SERVLET_PATH`

### Constructor Summary

Constructors
Constructor and Description
`Dispatcher(ContextHandler contextHandler, String name)` Constructor.
`Dispatcher(ContextHandler contextHandler, String uri, String pathInContext, String query)`

### Method Summary

Methods
`void` `error(javax.servlet.ServletRequest request, javax.servlet.ServletResponse response)`
`void` `forward(javax.servlet.ServletRequest request, javax.servlet.ServletResponse response)`
`protected void` `forward(javax.servlet.ServletRequest request, javax.servlet.ServletResponse response, javax.servlet.DispatcherType dispatch)`
`void` `include(javax.servlet.ServletRequest request, javax.servlet.ServletResponse response)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### __INCLUDE_PREFIX

    public static final String __INCLUDE_PREFIX

Dispatch include attribute names

See Also:
  Constant Field Values

#### __FORWARD_PREFIX

    public static final String __FORWARD_PREFIX

Dispatch include attribute names

See Also:
  Constant Field Values

#### __JSP_FILE

    public static final String __JSP_FILE

JSP attributes

See Also:
  Constant Field Values

### Constructor Detail

#### Dispatcher

    public Dispatcher(ContextHandler contextHandler,
              String uri,
              String pathInContext,
              String query)

Parameters:
  `contextHandler` -
  `uri` -
  `pathInContext` -
  `query` -

#### Dispatcher

    public Dispatcher(ContextHandler contextHandler,
              String name)
               throws IllegalStateException

Constructor.

Parameters:
  `contextHandler` -
  `name` -
Throws:
  `IllegalStateException`

### Method Detail

#### forward

    public void forward(javax.servlet.ServletRequest request,
               javax.servlet.ServletResponse response)
                 throws javax.servlet.ServletException,
                        IOException

Specified by:
  `forward` in interface `javax.servlet.RequestDispatcher`
Throws:
  `javax.servlet.ServletException`
  `IOException`

#### error

    public void error(javax.servlet.ServletRequest request,
             javax.servlet.ServletResponse response)
               throws javax.servlet.ServletException,
                      IOException

Throws:
  `javax.servlet.ServletException`
  `IOException`

#### include

    public void include(javax.servlet.ServletRequest request,
               javax.servlet.ServletResponse response)
                 throws javax.servlet.ServletException,
                        IOException

Specified by:
  `include` in interface `javax.servlet.RequestDispatcher`
Throws:
  `javax.servlet.ServletException`
  `IOException`

#### forward

    protected void forward(javax.servlet.ServletRequest request,
               javax.servlet.ServletResponse response,
               javax.servlet.DispatcherType dispatch)
                    throws javax.servlet.ServletException,
                           IOException

Throws:
  `javax.servlet.ServletException`
  `IOException`